* {
  box-sizing: border-box;
  font-family: Epilogue, sans-serif;
  margin: 0;
  padding: 0;
}

.header {
  align-items: center;
  background-color: rgb(65, 25, 127);
  box-sizing: border-box;
  display: flex;
  height: 4rem;
  position: relative;
  width: 100%;
}

.container-title {
  width: 75%;
}

.logo {
  margin-left: 2rem;
  width: 15rem;
}

.title {
  color: rgb(221, 221, 221);
  font-size: 2rem;
  padding-left: 2rem;
}

.container-title {
  display: flex;
  justify-content: space-between;
}

.search-container {
  display: flex;
  margin: 1rem;
}

#products-input {
  border-radius: 0.5rem;
  cursor: pointer;
}

#search-products {
  background-color: rgb(0, 213, 226);
  border: 0;
  border-radius: 0.5rem;
  color: white;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 700;
  margin-left: 0.5rem;
  padding: 0.4rem;
  transition: box-shadow 0.2s ease;
  width: 100%;
}

.container-cartTitle {
  align-items: center;
  background-color: rgb(0, 213, 226);
  display: flex;
  height: 100%;
  justify-content: space-evenly;
  padding: 0 6.25rem;
  position: relative;
  width: 25%;
}

.container-cartTitle span {
  z-index: 1;
}

.container-cartTitle .cart__title {
  color: rgb(65, 25, 127);
  font-size: 1.25rem;
  font-weight: 700;
}

.cep-input {
  padding: 0.5rem;
  border-radius: 0.3rem;
  cursor: pointer;
}

.container {
  align-items: flex-start;
  display: flex;
  width: 100%;
}

.title strong {
  color: white;
}

.products {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 2.5rem 0;
  width: 75%;
}

.product {
  align-items: center;
  border: 0.1rem solid rgb(240, 240, 240);
  border-radius: 0.4rem;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  height: 22rem;
  justify-content: center;
  margin: 0.4rem;
  padding: 0.9rem;
  width: 17rem;
}

.product:hover {
  box-shadow: 0 0 0.6rem rgba(0, 0, 0, 0.2);
}

.product .product__id {
  display: none;
}

.product__title {
  color: rgb(57, 63, 71);
  display: -webkit-box;
  font-size: 0.75rem;
  margin-top: 0.5rem;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
}

.product .img__container {
  align-items: center;
  display: flex;
  height: 100%;
  justify-content: center;
  max-height: 11.6rem;
  overflow: hidden;
  width: 75%;
}

.product .product__image {
  max-width: 100%;
  max-height: 100%;
  transition: transform 0.2s ease-in-out;
}

.product:hover .product__image {
  transform: scale(1.1);
}


.product__price , .price span {
  align-items: flex-end;
  align-self: flex-start;
  color: rgb(168, 169, 171);
  display: flex;
  flex-grow: 1;
  font-size: 1.2rem;
  margin: 0.4rem 0;
}

.price span {
  margin: 0;
  margin-left: 0.5rem;
  flex-grow: 0;
}

.product__price .product__price__value , .price span span , .price {
  color: rgb(36, 36, 36);
  font-size: 1.5rem;
  font-weight: 700;
  margin-left: 0.4rem;
}

.price {
  display: flex;
  justify-content: center;
  margin: 1rem 0;
  width: 100%;
}

.product .product__add {
  background-color: rgb(0, 213, 226);
  border: 0;
  border-radius: 0.3rem;
  color: white;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 700;
  padding: 0.5rem 0.7rem;
  transition: box-shadow 0.2s ease;
  width: 100%;
}

.product .product__add:hover {
  background-color: rgb(25, 244, 255);
  box-shadow: 0 0 0.2rem white,
    0 0 0.2rem white,
    0 0 1.2rem -5px rgb(0, 213, 226),
    0 0 0.8rem -5px rgb(0, 213, 226),
    0 0 1.6rem -5px rgb(0, 213, 226),
    inset 0 0 1.3rem rgb(0, 138, 202);
}

.cart {
  border: 1px solid rgb(240, 240, 240);
  border-bottom-left-radius: 0.43rem;
  box-shadow: 0 0.25rem 0.9rem rgba(0, 0, 0, 0.25);
  display: flex;
  flex-direction: column;
  height: 47rem;
  position: sticky;
  top: 0;
  width: 25%;
}

.cart__products {
  display: flex;
  flex-direction: column;
  height: 100%;
  list-style: none;
  overflow-y: scroll;
  padding: 0.62rem 2rem 2rem;
}

.cart__product {
  align-items: flex-start;
  cursor: pointer;
  display: flex;
  height: 5.3rem;
  justify-content: space-between;
  padding: 0.62rem 0;
  margin: 0.62rem 0;
}

.cart__product__info-container {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  height: 6.25rem;
  justify-content: space-between;
  padding: 0 1.25rem;
  width: 100%;
}

.cart__product__info-container .product__price {
  margin: 0;
}

.cart__product__remove {
  background-color: transparent;
  border: 0;
  color: rgb(168, 169, 171);
  font-size: 1.25rem;
  transition: color 0.2s ease;
}

.cart__product:hover .cart__product__remove {
  color: rgb(219, 46, 46);
}

.cart__product__image-container {
  align-items: center;
  display: flex;
  height: 100%;
  justify-content: center;
  overflow: hidden;
  position: relative;
  width: 40%;
}

.cart__product__image-container img {
  position: absolute;
  max-width: 100%;
  max-height: 100%;
  transition: opacity 0.5s ease;
}

.cart__product__image-container img:last-child {
  opacity: 0;
}

.cart__product__image-container:hover img:first-child {
  opacity: 0;
}

.cart__product__image-container:hover img:last-child {
  opacity: 1;
}

.cart-button {
  background-color: rgb(65, 25, 127);
  border: 0;
  border-radius: 0.3rem;
  color: white;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 700;
  height: 2rem;
  margin: 0 auto;
  transition: box-shadow 0.2s ease;
  width: 15.62rem;
}

.cart-button:hover {
  background-color: rgb(109, 41, 212);
  box-shadow: 0 0 0.2rem white,
    0 0 0.2rem white,
    0 0 1.4rem -5px rgb(131, 48, 255),
    0 0 0.8rem -5px rgb(131, 48, 255),
    0 0 2.4rem -5px rgb(131, 48, 255),
    inset 0 0 2rem rgb(61, 11, 136);
}

.cep-input {
  font-size: 1rem;
  font-weight: 700;
  margin: 1.25rem auto 0.3rem;
  width: 15.62rem;
}

.cart__address {
  font-size: 1rem;
  font-weight: 700;
  height: 1.87rem;
  margin: 0.62rem auto;
}

.hidden {
  display: none;
}

::-webkit-scrollbar {
  width: 0.5rem;
}

::-webkit-scrollbar-thumb {
  background: rgb(243, 243, 243);
  border-radius: 0.6rem;
  box-shadow: inset 0 0 3px 1px rgb(155, 155, 155);
}

::-webkit-scrollbar-thumb:hover {
  background: rgb(136, 244, 250);
}

::-webkit-scrollbar-track {
  background: rgb(214, 214, 214);
  border: 0.1rem solid white;
}

@media screen and ( max-width : 615px ) {
  .cart, .cart__title{
    display: none;
  }
  
  .container-cartTitle {
   display: none;
  }

  .header {
    height: 20%;
  }

  .container-title{
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-left: 4.5rem;
    margin-right: 4.5rem;
  }
 
  .products {
    margin-left: 5rem;
  }
}
